Bug 239744 - repoquery: dies on non-unicode filenames
repoquery: dies on non-unicode filenames
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-10 17:53 EDT by Bill Nottingham
Modified: 2014-03-16 23:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.1.5-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 16:05:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Force locale preferred encoding on a non-tty stdout instead of ascii (572 bytes, patch)
2007-05-31 03:30 EDT, Panu Matilainen
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2007-05-10 17:53:32 EDT
Description of problem:

$ repoquery -qal > /tmp/filelist
Traceback (most recent call last):
  File "/usr/bin/repoquery", line 703, in <module>
    main(sys.argv)
  File "/usr/bin/repoquery", line 700, in main
    repoq.runQuery(regexs)
  File "/usr/bin/repoquery", line 414, in runQuery
    print pkg.doQuery(oper)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xea' in position
141: ordinal not in range(128)

Apparently something in extras makes it choke.

Version-Release number of selected component (if applicable):

yum-utils-1.1.3-1.fc7

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Panu Matilainen 2007-05-28 10:34:50 EDT
Yup, easily reproduced, various aspell-subpackages (eg aspell-pt) and a few
others trigger it.
Comment 2 Panu Matilainen 2007-05-31 03:30:01 EDT
Created attachment 155784 [details]
Force locale preferred encoding on a non-tty stdout instead of ascii

Man I hate the character encodings business...

After a bit of googling found the "magic" in the attached patch which would
seem to both
a) fix it for me 
b) for encoding-clueless me, be a relatively sane thing to do

Of course this still leaves plenty of room for encoding-related tracebacks if
your preferred locale encoding doesn't happen to be utf-8. Sigh.
Comment 3 Tim Lauridsen 2007-05-31 04:19:30 EDT
(In reply to comment #2)
>
> Man I hate the character encodings business...
>

Me too, :-)
 

Comment 4 Fedora Update System 2007-06-18 12:37:39 EDT
yum-utils-1.1.5-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2007-06-21 16:04:45 EDT
yum-utils-1.1.5-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Curtis Doty 2007-10-02 11:31:34 EDT
It's baaaack...as Bug 315491.

Note You need to log in before you can comment on or make changes to this bug.